MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000269Hall D OnlineDAQpublic2012-07-10 09:202013-06-14 10:54
Reporterwolin 
Assigned Towolin 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0000269: Update codaLite to work on Linux-based single board computers
DescriptionBeni plans to use codaLite for the FDC test. Need to update to use Bryan Moffit's latest VME libraries, latest cMsg, etc.
Additional InformationWith luck all that needs to be done is to create a new interrupt service that uses Bryan's libs.
TagsNo tags attached.
Work by outside group for Hall DNo
Estimated man-weeks1
Percentage complete0
Actual man-weeks0
Attached Files

- Relationships

-  Notes
(0000395)
wolin (administrator)
2012-07-10 09:23

Preliminary version of new interrupt service created with Bryan's help, needs to be tested. Beni and I set up wilma with a 32-bit operating system (required for Bryan's libs), put it on the 37 subnet along with the SBC's, and installed and tested the latest cMsg.

Now we're ready to test codaLite. It is an old version that Beni has been using for a long time. Decided not to update at this time.
(0000399)
wolin (administrator)
2012-07-16 11:29
edited on: 2012-07-16 11:32

Linux ROC polling interrupt service for old TI's appears to work, requires gef kernel module and Bryan's linuxvme libraries. This interruptService polls the old TI to check if a trigger is pending. wilma back on 88 subnet. Will create polling interrupt service for new TI's when Beni gets them back. At some point should skip the polling and use interrupt service routine instead. Bryan says this is all implemented in his libraries so I don't have to redo what I did for VxWorks.

(0000400)
wolin (administrator)
2012-07-16 11:33

Beni is happy now. Will have to revisit this when he wants to run with new TI's.
(0000535)
wolin (administrator)
2013-06-14 10:54

Beni got an interrupt service working on Linux with the new TI board. It is somewhat tricky and complicated. I'll try to generalize his code when an application arises, until then Beni is the only one using it.

- Issue History
Date Modified Username Field Change
2012-07-10 09:20 wolin New Issue
2012-07-10 09:20 wolin Work by outside group for Hall D => No
2012-07-10 09:20 wolin Estimated man-weeks => 1
2012-07-10 09:20 wolin Percentage complete => 0
2012-07-10 09:20 wolin Actual man-weeks => 0
2012-07-10 09:20 wolin Status new => assigned
2012-07-10 09:20 wolin Assigned To => wolin
2012-07-10 09:23 wolin Note Added: 0000395
2012-07-10 09:23 wolin Status assigned => acknowledged
2012-07-16 11:29 wolin Note Added: 0000399
2012-07-16 11:32 wolin Note Edited: 0000399
2012-07-16 11:33 wolin Note Added: 0000400
2012-07-16 11:33 wolin Status acknowledged => feedback
2013-03-21 14:03 wolin Status feedback => acknowledged
2013-06-14 10:54 wolin Note Added: 0000535
2013-06-14 10:54 wolin Status acknowledged => resolved
2013-06-14 10:54 wolin Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker